#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxklavier
Version		:	5.4
Release		:	17.0.10.rel%{?dist}
Summary		:	High-level API for X Keyboard Extension
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gitlab.freedesktop.org/archived-projects/libxklavier

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	intltool
BuildRequires	:	iso-codes
BuildRequires	:	libxml2-devel
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	xorg-libxkbfile
BuildRequires	:	xorg-libX11
BuildRequires	:	xorg-libXi

Requires	:	iso-codes

#-----------------------------------------------------------------------------
%description
libxklavier is a library providing a high-level API for the X Keyboard
Extension (XKB). This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS CREDITS NEWS README 
%{_libdir}/%{name}.so.16*
%{_libdir}/girepository-1.0/X*-1.0.typelib

#=============================================================================
%package		devel
Summary		:	development files for libxklavier

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
Requires	:	libxml2-devel

#-----------------------------------------------------------------------------
%description		devel
his package contains libraries, header files and
developer documentation needed to develop
libxklavier applications.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gir-1.0/X*-1.0.gir

#=============================================================================
%prep 
%setup -q -n %{name}-%{name}-%{version}
NOCONFIGURE=1 ./autogen.sh

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-xkb-base='%{_datadir}/X11/xkb'		\
	--with-xkb-bin-base='%{_bindir}'		\
	--disable-static				\
	--enable-gtk-doc				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
